Index: /trunk/lib/Cache.inc.php
===================================================================
--- /trunk/lib/Cache.inc.php	(revision 467)
+++ /trunk/lib/Cache.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -31,16 +31,19 @@
  * @since   2001
  */
- 
-// Flags.
-define('CACHE_ALLOW_OVERSIZED', 1);
 
 class Cache {
 
+    // A place to keep object instances for the singleton pattern.
+    private static $instances = array();
+
     // Namespace of this instance of Prefs.
-    var $_ns;
+    private $_ns;
 
     // Configuration parameters for this object.
-    var $_params = array(
-        
+    private $_params = array(
+
+        // Type of cache. Currently only 'session' is supported.
+        'type' => 'session',
+
         // If false nothing will be cached or retrieved. Useful for testing realtime data requests.
         'enabled' => true,
@@ -48,14 +51,17 @@
         // The maximum size in bytes of any one variable.
         'item_size_limit' => 4194304, // 4 MB
-        
+
         // The maximum size in bytes before the cache will begin flushing out old items.
         'stack_size_limit' => 4194304, // 4 MB
-        
+
         // The minimum items to keep in the cache regardless of item or cache size.
         'min_items' => 5,
     );
-    
+
     /*
-    * Constructor
+    * Constructor. This is publically accessible for compatability with older implementations,
+    * but the preferred method of instantiation is by use of the singleton pattern:
+    *   $cache =& Cache::getInstance('namespace');
+    *   $cache->setParam(array('enabled' => true));
     *
     * @access   public
@@ -65,8 +71,8 @@
     * @since    05 Jun 2006 23:14:21
     */
-    function Cache($namespace='')
+    public function __construct($namespace='')
     {
         $app =& App::getInstance();
-        
+
         $this->_ns = $namespace;
 
@@ -75,5 +81,5 @@
             $this->setParam(array('enabled' => false));
         }
-        
+
         if (!isset($_SESSION['_cache'][$this->_ns])) {
             $this->clear();
@@ -88,13 +94,10 @@
      * @static
      */
-    static function &getInstance($namespace='')
-    {
-        static $instances = array();
-
-        if (!array_key_exists($namespace, $instances)) {
-            $instances[$namespace] = new Cache($namespace);
-        }
-
-        return $instances[$namespace];
+    public static function &getInstance($namespace='')
+    {
+        if (!array_key_exists($namespace, self::$instances)) {
+            self::$instances[$namespace] = new self($namespace);
+        }
+        return self::$instances[$namespace];
     }
 
@@ -105,5 +108,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -124,8 +127,8 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
-    
+
         if (isset($this->_params[$param])) {
             return $this->_params[$param];
@@ -138,15 +141,13 @@
     /**
      * Stores a new variable in the session cache. The $key should not be numeric
-     * because the array_shift function will reset the key to the next largest 
+     * because the array_shift function will reset the key to the next largest
      * int key. Weird behavior I can't understand. For example $cache["123"] will become $cache[0]
      *
-     * @param str   $key        An identifier for the cached object.
-     * @param mixed $var        The var to store in the session cache.
-     * @param bool  $flags      If we have something really big that we
-     *                          still want to cache, setting this to
-     *                          CACHE_ALLOW_OVERSIZED allows this.
-     * @return bool             True on success, false otherwise.
-     */
-    function set($key, $var, $flags=0)
+     * @param str   $key                An identifier for the cached object.
+     * @param mixed $var                The data to store in the session cache.
+     * @param bool  $allow_oversized    If we have something really big that we still want to cache, setting this to true allows this.
+     * @return bool                     True on success, false otherwise.
+     */
+    public function set($key, $var, $allow_oversized=false)
     {
 		$app =& App::getInstance();
@@ -157,4 +158,8 @@
         }
 
+        if (is_numeric($key)) {
+            $app->logMsg(sprintf('Cache::set key value should not be numeric (%s given)', $key), LOG_WARNING, __FILE__, __LINE__);
+        }
+
         $var = serialize($var);
         $var_len = mb_strlen($var);
@@ -165,8 +170,8 @@
         }
 
-        if ($flags & CACHE_ALLOW_OVERSIZED == 0 && $var_len >= $this->getParam('stack_size_limit')) {
+        if ($allow_oversized && $var_len >= $this->getParam('stack_size_limit')) {
             $app->logMsg(sprintf('Serialized variable (%s bytes) more than stack_size_limit (%s bytes).', $var_len, $this->getParam('stack_size_limit')), LOG_NOTICE, __FILE__, __LINE__);
             return false;
-        }        
+        }
 
         // Remove any value already stored under this key.
@@ -197,5 +202,5 @@
      * @return mixed          The requested datum, or false on failure.
      */
-    function get($key)
+    public function get($key)
     {
         $app =& App::getInstance();
@@ -226,5 +231,5 @@
      * @return bool         True if a value exists for the given key.
      */
-    function exists($key)
+    public function exists($key)
     {
         $app =& App::getInstance();
@@ -244,5 +249,5 @@
      * @return bool         True if the value existed before being unset.
      */
-    function delete($key)
+    public function delete($key)
     {
         if (array_key_exists($key, $_SESSION['_cache'][$this->_ns])) {
@@ -253,5 +258,5 @@
         }
     }
-    
+
     /*
     * Delete all existing items from the cache.
@@ -262,5 +267,5 @@
     * @since    05 Jun 2006 23:51:34
     */
-    function clear()
+    public function clear()
     {
         $_SESSION['_cache'][$this->_ns] = array();
@@ -270,3 +275,2 @@
 }
 
-?>
Index: /trunk/lib/Captcha.inc.php
===================================================================
--- /trunk/lib/Captcha.inc.php	(revision 467)
+++ /trunk/lib/Captcha.inc.php	(revision 468)
@@ -54,7 +54,7 @@
 class Captcha {
 
-    var $secret_key = 'some random seed text for the md5';
-    var $random_number;
-    var $ascii_numbers = array(
+    public $secret_key = 'some random seed text for the md5';
+    public $random_number;
+    public $ascii_numbers = array(
         array(
             '  #####   ',
@@ -147,5 +147,5 @@
      * @since   20 Jan 2006 13:08:22
      */
-    function Captcha()
+    public function __construct()
     {
 		$app =& App::getInstance();
@@ -164,5 +164,5 @@
      * @since   07 Dec 2005 21:59:25
      */
-    function getAsciiNumber($num=null)
+    public function getAsciiNumber($num=null)
     {
 		$app =& App::getInstance();
@@ -200,5 +200,5 @@
      * @since   07 Dec 2005 22:09:04
      */
-    function printAsciiNumber()
+    public function printAsciiNumber()
     {
         $ascii = $this->getAsciiNumber($this->random_number);
@@ -213,5 +213,5 @@
      * @since   07 Dec 2005 22:09:04
      */
-    function printForm()
+    public function printForm()
     {
         $hash = $this->_getMD5key($this->random_number);
@@ -231,5 +231,5 @@
      * @since   07 Dec 2005 22:19:33
      */
-    function valid()
+    public function valid()
     {
         $number = getFormData('sc-captcha-input');
@@ -251,5 +251,5 @@
      * @since   07 Dec 2005 21:40:25
      */
-    function _getRandomNumber()
+    public function _getRandomNumber()
     {
         return mb_substr(strval(rand(10000, 99999)), 0, rand(3, 5));
@@ -265,5 +265,5 @@
      * @since   07 Dec 2005 21:53:35
      */
-    function _getMD5key($input)
+    public function _getMD5key($input)
     {
         return md5($this->secret_key . $input);
@@ -272,3 +272,2 @@
 }
 
-?>
Index: /trunk/lib/Cart.inc.php
===================================================================
--- /trunk/lib/Cart.inc.php	(revision 467)
+++ /trunk/lib/Cart.inc.php	(revision 468)
@@ -71,8 +71,8 @@
 
     // Namespace of this instance.
-    var $_ns;
+    private $_ns;
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
     );
 
@@ -80,5 +80,5 @@
      * Cart constructor.
      */
-    function Cart($namespace='')
+    public function __construct($namespace='')
     {
 		$app =& App::getInstance();
@@ -97,5 +97,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -112,5 +112,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -137,5 +137,5 @@
     * @since    11 Mar 2008 18:59:37
     */
-    function add($item_id, $price, $quantity=1, $specs=array())
+    public function add($item_id, $price, $quantity=1, $specs=array())
     {
         $app =& App::getInstance();
@@ -166,5 +166,5 @@
     * @since    10 May 2008 16:42:25
     */
-    function setQty($item_id, $quantity)
+    public function setQty($item_id, $quantity)
     {
         if ($quantity <= 0) {
@@ -195,5 +195,5 @@
     * @since    10 May 2008 16:42:25
     */
-    function setPrice($item_id, $price)
+    public function setPrice($item_id, $price)
     {
         if (isset($_SESSION['_cart'][$this->_ns]['items'][$item_id])) {
@@ -218,5 +218,5 @@
     * @since    11 Mar 2008 18:59:48
     */
-    function remove($item_id)
+    public function remove($item_id)
     {
         $app =& App::getInstance();
@@ -242,5 +242,5 @@
     * @since    11 Mar 2008 18:59:55
     */
-    function get($item_id, $spec_key)
+    public function get($item_id, $spec_key)
     {
         if (isset($_SESSION['_cart'][$this->_ns]['items'][$item_id][$spec_key])) {
@@ -259,5 +259,5 @@
     * @since    11 Mar 2008 18:59:55
     */
-    function getList()
+    public function getList()
     {
         return $_SESSION['_cart'][$this->_ns]['items'];
@@ -277,5 +277,5 @@
     * @since    11 Mar 2008 19:00:12
     */
-    function sum($key='extended_price')
+    public function sum($key='extended_price')
     {
 		$sum = 0;
@@ -306,5 +306,5 @@
      * as $auth->clear(), such as when logging out.
      */
-    function clear()
+    public function clear()
     {
         $_SESSION['_cart'][$this->_ns] = array(
@@ -313,5 +313,2 @@
     }
 }
-
-
-?>
Index: /trunk/lib/Currency.inc.php
===================================================================
--- /trunk/lib/Currency.inc.php	(revision 467)
+++ /trunk/lib/Currency.inc.php	(revision 468)
@@ -41,5 +41,5 @@
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
         'cache_result' => true,
         'cache_dir' => '',
@@ -52,5 +52,5 @@
      * Cart constructor.
      */
-    function Currency($params=array())
+    public function __construct($params=array())
     {
 		$app =& App::getInstance();
@@ -79,5 +79,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -94,5 +94,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -118,5 +118,5 @@
     * @since    05 May 2008 23:50:59
     */
-    function getValue($amount, $base, $target)
+    public function getValue($amount, $base, $target)
     {
         if (false !== $rate = $this->getRate($base, $target)) {
@@ -138,5 +138,5 @@
     * @since    25 May 2011 01:26:24
     */
-    function getRate($base, $target)
+    public function getRate($base, $target)
     {
         $app =& App::getInstance();
@@ -180,5 +180,5 @@
      * @access private
      */
-    function _performAPICall($parameters=null)
+    private function _performAPICall($parameters=null)
     {
         $app =& App::getInstance();
@@ -251,3 +251,2 @@
 
 
-?>
Index: /trunk/lib/DB.inc.php
===================================================================
--- /trunk/lib/DB.inc.php	(revision 467)
+++ /trunk/lib/DB.inc.php	(revision 468)
@@ -32,18 +32,21 @@
 class DB {
 
+    // A place to keep an object instance for the singleton pattern.
+    private static $instance = null;
+
     // If $db->connect has successfully opened a db connection.
-    var $_connected = false;
+    private $_connected = false;
 
     // Database handle.
-    var $dbh;
+    public $dbh;
 
     // Count how many queries run during the whole instance.
-    var $_query_count = 0;
+    private $_query_count = 0;
 
     // Hash of DB parameters.
-    var $_params = array();
+    private $_params = array();
 
     // Default parameters.
-    var $_param_defaults = array(
+    private $_param_defaults = array(
 
         // DB passwords should be set as apache environment variables in httpd.conf, readable only by root.
@@ -64,5 +67,5 @@
 
     // Translate between HTML and MySQL character set names.
-    var $mysql_character_sets = array(
+    public $mysql_character_sets = array(
         'utf-8' => 'utf8',
         'iso-8859-1' => 'latin1',
@@ -70,6 +73,6 @@
 
     // Caches.
-    var $existing_tables;
-    var $table_columns;
+    private $existing_tables;
+    private $table_columns;
 
     /**
@@ -80,13 +83,11 @@
      * @static
      */
-    static function &getInstance()
-    {
-        static $instance = null;
-
-        if ($instance === null) {
-            $instance = new DB();
-        }
-
-        return $instance;
+    public static function &getInstance()
+    {
+        if (self::$instance === null) {
+            self::$instance = new self();
+        }
+
+        return self::$instance;
     }
 
@@ -98,5 +99,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -117,5 +118,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -136,5 +137,5 @@
      * @since   28 Aug 2005 14:02:49
      */
-    function connect()
+    public function connect()
     {
 		$app =& App::getInstance();
@@ -146,5 +147,5 @@
 
         // Connect to database. Always create a new link to the server.
-        if ($this->dbh = mysql_connect($this->getParam('db_server'), $this->getParam('db_user'), $this->getParam('db_pass'), true)) {
+        if ($this->dbh = @mysql_connect($this->getParam('db_server'), $this->getParam('db_user'), $this->getParam('db_pass'), true)) {
             // Select database
             mysql_select_db($this->getParam('db_name'), $this->dbh);
@@ -185,5 +186,5 @@
      * @since   28 Aug 2005 14:32:01
      */
-    function close()
+    public function close()
     {
         if (!$this->_connected) {
@@ -204,5 +205,5 @@
     * @since    03 Jul 2013 14:50:23
     */
-    function reconnect()
+    public function reconnect()
     {
         $this->close();
@@ -221,5 +222,5 @@
     * @since    15 Jan 2007 15:59:00
     */
-    function _fail()
+    private function _fail()
     {
         if ($this->getParam('db_die_on_failure')) {
@@ -240,5 +241,5 @@
      * @since   20 Aug 2005 13:50:36
      */
-    function getDBH()
+    public function getDBH()
     {
         if (!$this->_connected) {
@@ -256,5 +257,5 @@
      * @since   28 Aug 2005 14:58:09
      */
-    function isConnected()
+    public function isConnected()
     {
         return (true === $this->_connected);
@@ -270,5 +271,5 @@
      * @since   06 Mar 2006 16:41:32
      */
-    function escapeString($string)
+    public function escapeString($string)
     {
         if (!$this->_connected) {
@@ -287,5 +288,5 @@
      * @return resource         Query identifier
      */
-    function query($query, $debug=false)
+    public function query($query, $debug=false)
     {
         $app =& App::getInstance();
@@ -336,5 +337,5 @@
      * @return bool                         true if given $table exists.
      */
-    function tableExists($table, $use_cached_results=true)
+    public function tableExists($table, $use_cached_results=true)
     {
 		$app =& App::getInstance();
@@ -368,5 +369,5 @@
      * @return bool                         true if column(s) exist.
      */
-    function columnExists($table, $columns, $strict=true, $use_cached_results=true)
+    public function columnExists($table, $columns, $strict=true, $use_cached_results=true)
     {
         if (!$this->_connected) {
@@ -416,5 +417,5 @@
     * @since    15 Jun 2006 11:46:05
     */
-    function numQueries()
+    public function numQueries()
     {
         return $this->_query_count;
@@ -428,5 +429,5 @@
      * @since   28 Aug 2005 22:10:50
      */
-    function resetCache()
+    public function resetCache()
     {
         $this->existing_tables = null;
@@ -436,3 +437,2 @@
 } // End.
 
-?>
Index: /trunk/lib/DBSessionHandler.inc.php
===================================================================
--- /trunk/lib/DBSessionHandler.inc.php	(revision 467)
+++ /trunk/lib/DBSessionHandler.inc.php	(revision 468)
@@ -32,7 +32,7 @@
 class DBSessionHandler {
 
-    var $db; // DB object.
+    public $db; // DB object.
 
-    var $_params = array(
+    private $_params = array(
         'db_table' => 'session_tbl',
 
@@ -51,5 +51,5 @@
      * @since   18 Jul 2005 11:02:50
      */
-    function DBSessionHandler($db, $params=array())
+    public function __construct($db, $params=array())
     {
 		$app =& App::getInstance();
@@ -94,5 +94,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -121,15 +121,15 @@
     }
 
-    function dbSessionOpen($save_path, $sess_name)
+    public function dbSessionOpen($save_path, $sess_name)
     {
         return true;
     }
 
-    function dbSessionClose()
+    public function dbSessionClose()
     {        
         return true;
     }
 
-    function dbSessionRead($session_id)
+    public function dbSessionRead($session_id)
     {
         // Select the data belonging to session $session_id from the session table
@@ -146,5 +146,5 @@
     }
 
-    function dbSessionWrite($session_id, $session_data)
+    public function dbSessionWrite($session_id, $session_data)
     {
         // Write the serialized session data ($session_data) to the session table
@@ -154,5 +154,5 @@
     }
 
-    function dbSessionDestroy($session_id)
+    public function dbSessionDestroy($session_id)
     {
         // Delete from the table all data for the session $session_id
@@ -162,5 +162,5 @@
     }
 
-    function dbSessionGarbage($max_lifetime=72000)
+    public function dbSessionGarbage($max_lifetime=72000)
     {
         // Delete old values from the session table.
@@ -171,3 +171,2 @@
 }
 
-?>
Index: /trunk/lib/Email.inc.php
===================================================================
--- /trunk/lib/Email.inc.php	(revision 467)
+++ /trunk/lib/Email.inc.php	(revision 468)
@@ -56,5 +56,5 @@
 
     // Default parameters, to be overwritten by setParam() and read with getParam()
-    var $_params = array(
+    private $_params = array(
         'to' => null,
         'from' => null,
@@ -74,8 +74,8 @@
 
     // String that contains the email body.
-    var $_template;
+    private $_template;
 
     // String that contains the email body after replacements.
-    var $_template_replaced;
+    private $_template_replaced;
 
     /**
@@ -87,5 +87,5 @@
      * @since   28 Nov 2005 12:59:41
      */
-    function Email($params=null)
+    public function __construct($params=null)
     {
         // The regex used in validEmail(). Set here instead of in the default _params above so we can use the concatenation . dot.
@@ -118,5 +118,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -145,5 +145,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -165,5 +165,5 @@
      * @since   28 Nov 2005 12:56:23
      */
-    function setTemplate($template)
+    public function setTemplate($template)
     {
 		$app =& App::getInstance();
@@ -189,5 +189,5 @@
      * @since   28 Nov 2005 12:56:23
      */
-    function setString($string)
+    public function setString($string)
     {
 		$app =& App::getInstance();
@@ -213,5 +213,5 @@
      * @since   28 Nov 2005 13:08:51
      */
-    function replace($replacements)
+    public function replace($replacements)
     {
 		$app =& App::getInstance();
@@ -250,5 +250,5 @@
      * @since   28 Nov 2005 12:56:09
      */
-    function send($to=null, $from=null, $subject=null, $headers=null)
+    public function send($to=null, $from=null, $subject=null, $headers=null)
     {
 		$app =& App::getInstance();
@@ -364,5 +364,5 @@
      * @since   30 Nov 2005 22:00:50
      */
-    function validEmail($email)
+    public function validEmail($email)
     {
 		$app =& App::getInstance();
@@ -388,3 +388,2 @@
 }
 
-?>
